Verify Transaction
curl --request GET \
--url https://sandbox.soleaspay.com/api/agent/verif-pay \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://sandbox.soleaspay.com/api/agent/verif-pay"
headers = {
"x-api-key": "<x-api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox.soleaspay.com/api/agent/verif-pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.soleaspay.com/api/agent/verif-pay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.soleaspay.com/api/agent/verif-pay"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.soleaspay.com/api/agent/verif-pay")
.header("x-api-key", "<x-api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.soleaspay.com/api/agent/verif-pay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"code": 200,
"status": "STATUS",
"created_at": "2024-12-16 10:05:01",
"data": {
"operation": "OPERATION NAME",
"reference": "MLS2021B",
"external_reference": "abc1234",
"transaction_reference": "transaction partner reference",
"amount": 1000,
"currency": "XAF"
},
"message": "Transaction is completed successfully"
}Verify Transaction
Check if the payment is validated by the customer using the unique order ID and the SoleasPay payment reference (payId). Requires x-api-key and optional headers like operation and service.
GET
/
api
/
agent
/
verif-pay
Verify Transaction
curl --request GET \
--url https://sandbox.soleaspay.com/api/agent/verif-pay \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://sandbox.soleaspay.com/api/agent/verif-pay"
headers = {
"x-api-key": "<x-api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox.soleaspay.com/api/agent/verif-pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.soleaspay.com/api/agent/verif-pay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.soleaspay.com/api/agent/verif-pay"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.soleaspay.com/api/agent/verif-pay")
.header("x-api-key", "<x-api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.soleaspay.com/api/agent/verif-pay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"code": 200,
"status": "STATUS",
"created_at": "2024-12-16 10:05:01",
"data": {
"operation": "OPERATION NAME",
"reference": "MLS2021B",
"external_reference": "abc1234",
"transaction_reference": "transaction partner reference",
"amount": 1000,
"currency": "XAF"
},
"message": "Transaction is completed successfully"
}Authorizations
Headers
Query Parameters
Response
200 - application/json
Transaction verification result
⌘I
